Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Shravan
    @motormouthdoda
    Run pip install -r requirements.txt instead of pip install .
    Nakul Bharti
    @knakul853
    even it worked in ubuntu
    Shravan
    @motormouthdoda
    Pardon
    Nakul Bharti
    @knakul853
    bro gives the same error with some more messy error
    Command "c:\users\nakul\appdata\local\programs\python\python37-32\python.exe -u -c "import setuptools, tokenize;__file__='C:\\Users\\Nakul\\AppData\\Local\\Temp\\pip-install-afbenig9\\greenlet\\setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record C:\Users\Nakul\AppData\Local\Temp\pip-record-gfsys26p\install-record.txt --single-version-externally-managed --compile" failed with error code 1 in C:\Users\Nakul\AppData\Local\Temp\pip-install-afbenig9\greenlet\
    Shravan
    @motormouthdoda
    Can you paste the steps you followed?
    Devdutt Shenoi
    @de-sh
    Guys, try using pipenv, it's a simple tool that removes most hassles
    It works the same on all platforms I guess
    Nakul Bharti
    @knakul853
    1. git clone  --single-branch  --branch develop https://github.com/HTTP-APIs/hydrus.git
    2.cd hydrus
    3.pip install  . (here i get error  ```Could not find a version that satisfies the requirement hydra_python_core (from hydrus==0.2.1) (from versions: )
    No matching distribution found for hydra_python_core (from hydrus==0.2.1)```)
    4.hydrus serve
    Shravan
    @motormouthdoda
    What happens if you use pip install -r requirements.txt instead of pip install .
    Nakul Bharti
    @knakul853
    all this steps work well in linux
    it gives the same error
    with some more error that i have mention above
    Shravan
    @motormouthdoda
    hydrus serve gives that error or pip install -r requirements.txt
    Nakul Bharti
    @knakul853
    pip install -r requirements.txt
    gives this error
    Command "c:\users\nakul\appdata\local\programs\python\python37-32\python.exe -u -c "import setuptools, tokenize;__file__='C:\\Users\\Nakul\\AppData\\Local\\Temp\\pip-install-afbenig9\\greenlet\\setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record C:\Users\Nakul\AppData\Local\Temp\pip-record-gfsys26p\install-record.txt --single-version-externally-managed --compile" failed with error code 1 in C:\Users\Nakul\AppData\Local\Temp\pip-install-afbenig9\greenlet\
    while hydrus serve gives
      File "C:\Users\Nakul\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pkg_resources\__init__.py", line 781, in resolve
        raise DistributionNotFound(req, requirers)
    pkg_resources.DistributionNotFound: The 'hydra_openapi_parser' distribution was not found and is required by hydrus
    Shravan
    @motormouthdoda
    You could try using pipenv as @de-sh suggested. Most probably it has something to do with how Windows runs pip and nothing to do with the project
    Harsheet Kakar
    @HarsheetKakar
    i got server running but there is nothing on api/vocab
    its running on 8000-8080 i have checked that
    do i need to put demo file somewhere, like it says when u try to do it hardcoded way?
    i.e. from virtualenv and requirement files
    Nakul Bharti
    @knakul853
    http://localhost:8080/serverapi/
    Check this endpoint
    You can add vocab
    For getting Hydra vocabulary
    Harsheet Kakar
    @HarsheetKakar
    ok
    image.png
    @knakul853
    Rohit Rajat Chattopadhyay
    @RohitChattopadhyay
    Hi everyone, I need help in joining the GSoC19 channel of Hydra Ecosystem . Please help
    Thanks
    Harsheet Kakar
    @HarsheetKakar
    start from here @RohitChattopadhyay https://www.hydraecosystem.org/Starting-Material
    Harsheet Kakar
    @HarsheetKakar
    @de-sh pipenv wont install from git repos directly
    Devdutt Shenoi
    @de-sh
    @HarsheetKakar I don't understand what you mean
    You just do
    ~ $ git clone .../vcs
    ~ $ cd vcs
    ~/vcs $ pipenv shell #Activating the shell
    (vcs env shell) ~/vcs $ pip install -r requirements.txt
    But if you mean to say that you are unable to download and install pipenv from it's repo, just install with pip install pipenv maybe
    Harsheet Kakar
    @HarsheetKakar
    i was doing pipenv install -r requirements.txt when it was giving error, will try it thanks
    Nakul Bharti
    @knakul853
    5. A Demo API of a publicly available database. this project idea lacks further explanation
    is it we only need to use musicbrainzdatabase for demonstration
    Harsheet Kakar
    @HarsheetKakar
    image.png
    image.png
    or just till the icon?
    Harsheet Kakar
    @HarsheetKakar
    for http-apis.github.io
    Harsh Sahu 
    @codehawkdevs
    @knakul853 musicbrainz can be a prime example of that idea.
    Nakul Bharti
    @knakul853
    Yes now I got it
    Harsheet Kakar
    @HarsheetKakar
    @Mec-iS why do we need to remove doc.py from hydrus serve when it can just generate a dummy file if it isnt in examples/drones ?
    Lorenzo
    @Mec-iS
    as I wrote above, there are already examples provided. user has to provide an ApiDoc
    Harsheet Kakar
    @HarsheetKakar
    :thumbsup: :
    Ahmed ramadan
    @AhmedRamadanSayed
    image.png
    Ahmed ramadan
    @AhmedRamadanSayed
    why the endpoint for the Item returned only the Instance (in this case it's Command ) and didn't return the its terminals. it happens to all the classes of the drones example.. am i missing something here?
    s
    Ahmed ramadan
    @AhmedRamadanSayed
    image.png
    when i GET that Drone Instance by its id, it doesn't return any terminals
    Ahmed ramadan
    @AhmedRamadanSayed
    @Mec-iS